Download AIS
curl --request POST \
--url https://production.deepvue.tech/v1/verification/itr/ais-download \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"itr_client_id": "<string>"
}
'import requests
url = "https://production.deepvue.tech/v1/verification/itr/ais-download"
payload = { "itr_client_id": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'x-api-key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({itr_client_id: '<string>'})
};
fetch('https://production.deepvue.tech/v1/verification/itr/ais-download', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://production.deepvue.tech/v1/verification/itr/ais-download",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'itr_client_id' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://production.deepvue.tech/v1/verification/itr/ais-download"
payload := strings.NewReader("{\n \"itr_client_id\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://production.deepvue.tech/v1/verification/itr/ais-download")
.header("Authorization", "Bearer <token>")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"itr_client_id\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://production.deepvue.tech/v1/verification/itr/ais-download")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"itr_client_id\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"code": 200,
"timestamp": 1771592226614,
"transaction_id": "808f86a8-d792-ca72-8823-99c5c27dd6ad",
"sub_code": "SUCCESS",
"message": "AIS details downloaded successfully.",
"data": {
"itr_client_id": "itr_qkgtvIwLcuooWhtrFFbK",
"pan_no": "EGDPK2567K",
"ais_file": "https://aadhaar-kyc-docs.s3.amazonaws.com/itr/...",
"file_type": "json",
"status": "completed",
"financial_year": "2020-21"
}
}{
"detail": "Inactive client_id"
}{
"detail": "Not authenticated"
}{
"detail": "Not a valid token"
}{
"code": 422,
"timestamp": null,
"transaction_id": "string",
"sub_code": "DOWNLOAD_FAILED",
"message": "Unable to download AIS file."
}{
"code": 500,
"timestamp": null,
"transaction_id": "string",
"sub_code": "SOURCE_FAILURE",
"message": "Source failure. Unable to process the request."
}ITR
Download AIS
This endpoint enables users to download the Annual Information System (AIS) details as a JSON file. It provides a secure, temporary URL to access the full financial data for the specified financial year. This is useful for storing or processing the AIS data offline.
POST
/
v1
/
verification
/
itr
/
ais-download
Download AIS
curl --request POST \
--url https://production.deepvue.tech/v1/verification/itr/ais-download \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"itr_client_id": "<string>"
}
'import requests
url = "https://production.deepvue.tech/v1/verification/itr/ais-download"
payload = { "itr_client_id": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'x-api-key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({itr_client_id: '<string>'})
};
fetch('https://production.deepvue.tech/v1/verification/itr/ais-download', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://production.deepvue.tech/v1/verification/itr/ais-download",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'itr_client_id' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://production.deepvue.tech/v1/verification/itr/ais-download"
payload := strings.NewReader("{\n \"itr_client_id\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://production.deepvue.tech/v1/verification/itr/ais-download")
.header("Authorization", "Bearer <token>")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"itr_client_id\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://production.deepvue.tech/v1/verification/itr/ais-download")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"itr_client_id\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"code": 200,
"timestamp": 1771592226614,
"transaction_id": "808f86a8-d792-ca72-8823-99c5c27dd6ad",
"sub_code": "SUCCESS",
"message": "AIS details downloaded successfully.",
"data": {
"itr_client_id": "itr_qkgtvIwLcuooWhtrFFbK",
"pan_no": "EGDPK2567K",
"ais_file": "https://aadhaar-kyc-docs.s3.amazonaws.com/itr/...",
"file_type": "json",
"status": "completed",
"financial_year": "2020-21"
}
}{
"detail": "Inactive client_id"
}{
"detail": "Not authenticated"
}{
"detail": "Not a valid token"
}{
"code": 422,
"timestamp": null,
"transaction_id": "string",
"sub_code": "DOWNLOAD_FAILED",
"message": "Unable to download AIS file."
}{
"code": 500,
"timestamp": null,
"transaction_id": "string",
"sub_code": "SOURCE_FAILURE",
"message": "Source failure. Unable to process the request."
}Authorizations
ACCESS_TOKEN generated from the authorize endpoint. Should be included in the header as Bearer .
The CLIENT_SECRET provided to you. This header parameter is required for authentication purposes.
Body
application/json
The unique identifier of the client for whom the Income Tax Return (ITR) is being downloaded.